Bug 804114 - Using gnome-shell under an xguest account results in visual artifacts and a crash
Using gnome-shell under an xguest account results in visual artifacts and a c...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 10:59 EDT by Jonathan Burgess
Modified: 2013-02-13 15:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:26:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Burgess 2012-03-16 10:59:58 EDT
Description of problem:
When using gnome-shell's Activities menu and other parts of the gnome-shell that utilize graphics acceleration, menus flicker, icons don't appear, and eventually, gnome-shell crashes requiring the user to log out. An automatic bug report is unable to be filed due to the nature of the Guest account.


Version-Release number of selected component (if applicable): 3.2.2.1-1.fc16


How reproducible:
Use gnome-shell under a guest account created by xguest.

Steps to Reproduce:
1.Install xguest
2.Log into the guest account created by xguest
3.Attempt to access the Activities menu
  
Actual results:
Flickering menu, missing icons, gnome-shell crashes

Expected results:
Activities menu arrives without issue and displays all icons. gnome-shell continues to run

Additional info:
Creating a password for the guest account appears to reduce the flickering, but does not affect the other issues
Comment 1 Jonathan Burgess 2012-03-30 13:12:33 EDT
The bug may also have something to do with the SELinux policy for xguest.
Comment 2 Jonathan Burgess 2012-03-30 18:19:14 EDT
The crash is alleviated by executing:

setsebool -P allow_xguest_exec_content on
Comment 3 Fedora End Of Life 2013-01-16 11:35:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 15:26:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.